Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations

## Annotation Type Components

    @Target({})
    @Retention(RUNTIME)
    @Inherited
    public @interface Components

Describes the Components object that holds various reusable objects for different aspects of the OpenAPI Specification (OAS).

See Also:
  OpenAPI Specification Components Object

### Optional Element Summary

Optional Elements
`Callback[]` `callbacks` An object to hold reusable Callback Objects.
`ExampleObject[]` `examples` An object to hold reusable Example Objects.
`Extension[]` `extensions` List of extensions to be added to the `Components` model corresponding to the containing annotation.
`Header[]` `headers` An object to hold reusable Header Objects.
`Link[]` `links` An object to hold reusable Link Objects.
`Parameter[]` `parameters` An object to hold reusable Parameter Objects.
`PathItem[]` `pathItems` An object to hold reusable Path Item Objects.
`RequestBody[]` `requestBodies` An object to hold reusable Request Body Objects.
`APIResponse[]` `responses` An object to hold reusable Response Objects.
`Schema[]` `schemas` An object to hold reusable Schema Objects.
`SecurityScheme[]` `securitySchemes` An object to hold reusable Security Scheme Objects.

### Element Detail

#### schemas

    Schema[] schemas

An object to hold reusable Schema Objects.

Returns:
  the reusable Schema objects.

Default:
  {}

#### responses

    APIResponse[] responses

An object to hold reusable Response Objects.

Returns:
  the reusable ApiResponse objects.

Default:
  {}

#### parameters

    Parameter[] parameters

An object to hold reusable Parameter Objects.

Returns:
  the reusable Parameter objects.

Default:
  {}

#### examples

    ExampleObject[] examples

An object to hold reusable Example Objects.

Returns:
  the reusable Example objects.

Default:
  {}

#### requestBodies

    RequestBody[] requestBodies

An object to hold reusable Request Body Objects.

Returns:
  the reusable RequestBody objects.

Default:
  {}

#### headers

    Header[] headers

An object to hold reusable Header Objects.

Returns:
  the reusable Header objects.

Default:
  {}

#### securitySchemes

    SecurityScheme[] securitySchemes

An object to hold reusable Security Scheme Objects.

Returns:
  the reusable SecurityScheme objects.

Default:
  {}

#### links

    Link[] links

An object to hold reusable Link Objects.

Returns:
  the reusable Link objects.

Default:
  {}

#### callbacks

    Callback[] callbacks

An object to hold reusable Callback Objects.

Returns:
  the reusable Callback objects.

Default:
  {}

#### pathItems

    PathItem[] pathItems

An object to hold reusable Path Item Objects.

Returns:
  the reusable PathItem objects.
Since:
  4.0

Default:
  {}

#### extensions

    Extension[] extensions

List of extensions to be added to the `Components` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}